# @superblocksteam/cli

<!-- toc -->
* [@superblocksteam/cli](#superblocksteamcli)
* [Usage](#usage)
* [Commands](#commands)
<!-- tocstop -->

# Usage

<!-- usage -->
```sh-session
$ npm install -g @superblocksteam/cli
$ superblocks COMMAND
running command...
$ superblocks (--version)
@superblocksteam/cli/2.0.130-next.1 linux-x64 node-v24.15.0
$ superblocks --help [COMMAND]
USAGE
  $ superblocks COMMAND
...
```
<!-- usagestop -->

# Commands

<!-- commands -->
* [`superblocks cleanup`](#superblocks-cleanup)
* [`superblocks commands`](#superblocks-commands)
* [`superblocks commits [RESOURCE_PATH]`](#superblocks-commits-resource_path)
* [`superblocks components create`](#superblocks-components-create)
* [`superblocks components register`](#superblocks-components-register)
* [`superblocks components upload`](#superblocks-components-upload)
* [`superblocks components watch`](#superblocks-components-watch)
* [`superblocks config set PROPERTY VALUE`](#superblocks-config-set-property-value)
* [`superblocks deploy [RESOURCE_PATH]`](#superblocks-deploy-resource_path)
* [`superblocks dev`](#superblocks-dev)
* [`superblocks help [COMMAND]`](#superblocks-help-command)
* [`superblocks init [RESOURCE_URL]`](#superblocks-init-resource_url)
* [`superblocks login`](#superblocks-login)
* [`superblocks mcp serve`](#superblocks-mcp-serve)
* [`superblocks mcp setup`](#superblocks-mcp-setup)
* [`superblocks migrate`](#superblocks-migrate)
* [`superblocks pull [RESOURCE_PATH]`](#superblocks-pull-resource_path)
* [`superblocks push [RESOURCE_PATH]`](#superblocks-push-resource_path)
* [`superblocks rm [RESOURCE_PATH]`](#superblocks-rm-resource_path)
* [`superblocks sync`](#superblocks-sync)
* [`superblocks update [CHANNEL]`](#superblocks-update-channel)
* [`superblocks upload [RESOURCE_PATH]`](#superblocks-upload-resource_path)
* [`superblocks version`](#superblocks-version)

## `superblocks cleanup`

Detect and remove conflicting versions of the Superblocks CLI

```
USAGE
  $ superblocks cleanup

DESCRIPTION
  Detect and remove conflicting versions of the Superblocks CLI

EXAMPLES
  $ superblocks cleanup
```

## `superblocks commands`

List all superblocks commands.

```
USAGE
  $ superblocks commands [--json] [-c id|plugin|summary|type... | --tree] [--deprecated] [-x | ] [--hidden]
    [--no-truncate | ] [--sort id|plugin|summary|type | ]

FLAGS
  -c, --columns=<option>...  Only show provided columns (comma-separated).
                             <options: id|plugin|summary|type>
  -x, --extended             Show extra columns.
      --deprecated           Show deprecated commands.
      --hidden               Show hidden commands.
      --no-truncate          Do not truncate output.
      --sort=<option>        [default: id] Property to sort by.
                             <options: id|plugin|summary|type>
      --tree                 Show tree of commands.

GLOBAL FLAGS
  --json  Format output as json.

DESCRIPTION
  List all superblocks commands.
```

_See code: [@oclif/plugin-commands](https://github.com/oclif/plugin-commands/blob/v4.1.33/src/commands/commands.ts)_

## `superblocks commits [RESOURCE_PATH]`

List Superblocks commits for a resource

```
USAGE
  $ superblocks commits [RESOURCE_PATH] [-b <value>] [-l <value>] [-o <value>]

ARGUMENTS
  [RESOURCE_PATH]  Superblocks resource location to show commits for (i.e. apps/my-app)

FLAGS
  -b, --branch=<value>  Superblocks branch to show commits for, the current git branch will be used by default
  -l, --limit=<value>   [default: 10] Number of commits to be displayed, default is 10
  -o, --offset=<value>  Number of commits to be skipped before displaying by creation time, default is 0

DESCRIPTION
  List Superblocks commits for a resource

EXAMPLES
  $ superblocks commits

  $ superblocks commits  apps/my-app

  $ superblocks commits  apps/my-app -b feature-branch

  $ superblocks commits  --limit 20

  $ superblocks commits  --offset 10
```

## `superblocks components create`

Creates a new Superblocks component in the current application folder

```
USAGE
  $ superblocks components create [--example]

FLAGS
  --example  Create example component

DESCRIPTION
  Creates a new Superblocks component in the current application folder
```

## `superblocks components register`

Registers all local component config files

```
USAGE
  $ superblocks components register

DESCRIPTION
  Registers all local component config files

EXAMPLES
  $ superblocks components register
```

## `superblocks components upload`

Upload creates a production-ready bundle and saves the files for use outside of Local Development mode.

```
USAGE
  $ superblocks components upload [-b <value>]

FLAGS
  -b, --branch=<value>  Superblocks branch to push to, the current (local) git branch will be used by default

DESCRIPTION
  Upload creates a production-ready bundle and saves the files for use outside of Local Development mode.

EXAMPLES
  $ superblocks components upload

  $ superblocks components upload -b feature-branch
```

## `superblocks components watch`

watch for changes to your custom components

```
USAGE
  $ superblocks components watch

DESCRIPTION
  watch for changes to your custom components
```

## `superblocks config set PROPERTY VALUE`

Sets the specified property in your Superblocks configuration. A property governs the behavior of the Superblocks CLI, such as Superblocks region to interact with

```
USAGE
  $ superblocks config set PROPERTY VALUE

ARGUMENTS
  PROPERTY  (domain) Superblocks config name, e.g. domain
  VALUE     Superblocks config value

DESCRIPTION
  Sets the specified property in your Superblocks configuration. A property governs the behavior of the Superblocks CLI,
  such as Superblocks region to interact with

EXAMPLES
  $ superblocks config set domain eu.superblocks.com

  $ superblocks config set domain app.superblocks.com
```

## `superblocks deploy [RESOURCE_PATH]`

Deploy resources to Superblocks

```
USAGE
  $ superblocks deploy [RESOURCE_PATH] [-c <value>]

ARGUMENTS
  [RESOURCE_PATH]  The path to the resource to deploy

FLAGS
  -c, --commit-id=<value>  The commit ID to deploy

DESCRIPTION
  Deploy resources to Superblocks

EXAMPLES
  $ superblocks deploy

  $ superblocks deploy  apps/my-app

  $ superblocks deploy  apps/my-app --commit-id commit-id

  $ superblocks deploy  --commit-id commit-id
```

## `superblocks dev`

Starts a local development server for the current code-mode enabled application

```
USAGE
  $ superblocks dev [--upload-first] [--download-first]

FLAGS
  --download-first  Download from Superblocks before starting, can overwrite your local files
  --upload-first    Upload to Superblocks before starting

DESCRIPTION
  Starts a local development server for the current code-mode enabled application
```

## `superblocks help [COMMAND]`

Display help for superblocks.

```
USAGE
  $ superblocks help [COMMAND...] [-n]

ARGUMENTS
  [COMMAND...]  Command to show help for.

FLAGS
  -n, --nested-commands  Include all nested commands in the output.

DESCRIPTION
  Display help for superblocks.
```

_See code: [@oclif/plugin-help](https://github.com/oclif/plugin-help/blob/v6.2.36/src/commands/help.ts)_

## `superblocks init [RESOURCE_URL]`

Interactively configure the current directory as a Superblocks project or initialize new services in an already configured Superblocks project directory

```
USAGE
  $ superblocks init [RESOURCE_URL] [-m latest-edits|draft|most-recent-commit|deployed] [-s]

ARGUMENTS
  [RESOURCE_URL]  Superblocks resource URL (i.e. https://app.superblocks.com/applications/<application_id> or
                  https://app.superblocks.com/applications/edit/<application_id>)

FLAGS
  -m, --mode=<option>              Pull mode
                                   <options: latest-edits|draft|most-recent-commit|deployed>
  -s, --skip-signing-verification  If true, signature verification for signing enabled organizations will be skipped.

DESCRIPTION
  Interactively configure the current directory as a Superblocks project or initialize new services in an already
  configured Superblocks project directory

EXAMPLES
  $ superblocks init

  $ superblocks init https://app.superblocks.com/applications/11111111-1111-1111-1111-111111111111/pages/22222222-2222-2222-2222-222222222222
```

## `superblocks login`

Authenticate with Superblocks cloud

```
USAGE
  $ superblocks login [-t <value>]

FLAGS
  -t, --token=<value>  Superblocks user API key

DESCRIPTION
  Authenticate with Superblocks cloud
```

## `superblocks mcp serve`

Start the Superblocks MCP server for use with Claude, ChatGPT, Cursor, and other MCP clients

```
USAGE
  $ superblocks mcp serve [--port <value>] [--http-token <value>] [--transport stdio|http]

FLAGS
  --http-token=<value>  Authentication token for HTTP transport. Can also be provided via SUPERBLOCKS_MCP_HTTP_TOKEN.
  --port=<value>        [default: 8484] Port for HTTP transport
  --transport=<option>  [default: stdio] Transport mechanism
                        <options: stdio|http>

DESCRIPTION
  Start the Superblocks MCP server for use with Claude, ChatGPT, Cursor, and other MCP clients

EXAMPLES
  $ superblocks mcp serve

  SUPERBLOCKS_MCP_HTTP_TOKEN=<token> superblocks mcp serve --transport http --port 8484

  SUPERBLOCKS_MCP_PROFILE=internal superblocks mcp serve
```

## `superblocks mcp setup`

Set up MCP client configuration for Cursor, Claude Code, or other MCP clients

```
USAGE
  $ superblocks mcp setup [--client cursor|claude|generic] [--dry-run]

FLAGS
  --client=<option>  [default: generic] Target MCP client
                     <options: cursor|claude|generic>
  --dry-run          Print the configuration without writing it

DESCRIPTION
  Set up MCP client configuration for Cursor, Claude Code, or other MCP clients

EXAMPLES
  $ superblocks mcp setup --client cursor

  $ superblocks mcp setup --client claude

  $ superblocks mcp setup --client cursor --dry-run
```

## `superblocks migrate`

Migrate files to use the current CLI version

```
USAGE
  $ superblocks migrate

DESCRIPTION
  Migrate files to use the current CLI version

EXAMPLES
  $ superblocks migrate
```

## `superblocks pull [RESOURCE_PATH]`

Download objects from Superblocks and save them locally

```
USAGE
  $ superblocks pull [RESOURCE_PATH] [-m latest-edits|draft|most-recent-commit|deployed] [-b <value>] [-c
    <value>] [-s]

ARGUMENTS
  [RESOURCE_PATH]  Superblocks resource location to pull (i.e. apps/my-app)

FLAGS
  -b, --branch=<value>             Superblocks branch to pull from, the current git branch will be used by default
  -c, --commit-id=<value>          Superblocks commit id to pull, the live edit will be used by default
  -m, --mode=<option>              [default: draft] Pull mode
                                   <options: latest-edits|draft|most-recent-commit|deployed>
  -s, --skip-signing-verification  If true, signature verification for signing enabled organizations will be skipped.

DESCRIPTION
  Download objects from Superblocks and save them locally

EXAMPLES
  $ superblocks pull

  $ superblocks pull  apps/my-app

  $ superblocks pull  apps/my-app -b feature-branch

  $ superblocks pull  apps/my-app -c commit-id
```

## `superblocks push [RESOURCE_PATH]`

Import objects from local filesystem to Superblocks

```
USAGE
  $ superblocks push [RESOURCE_PATH] [-b <value>] [-s] [-f]

ARGUMENTS
  [RESOURCE_PATH]  Superblocks resource location to push (e.g. apps/my-app)

FLAGS
  -b, --branch=<value>  Superblocks branch to push to, the current git branch will be used by default
  -f, --force           If true, push command will force push the commit even if there are uncommitted changes in the
                        branch.
  -s, --skip-commit     If true, push command will only update live edit state along with signature without creating a
                        commit.

DESCRIPTION
  Import objects from local filesystem to Superblocks

EXAMPLES
  $ superblocks push

  $ superblocks push  apps/my-app

  $ superblocks push  apps/my-app -b feature-branch

  $ superblocks push  apps/my-app --skip-commit
```

## `superblocks rm [RESOURCE_PATH]`

Remove a Superblocks resource from the local Superblocks project and delete the resource folder directory locally (if it exists)

```
USAGE
  $ superblocks rm [RESOURCE_PATH]

ARGUMENTS
  [RESOURCE_PATH]  Superblocks resource location (i.e. apps/my-spectacular-app)

DESCRIPTION
  Remove a Superblocks resource from the local Superblocks project and delete the resource folder directory locally (if
  it exists)

EXAMPLES
  $ superblocks rm

  $ superblocks rm apps/my-spectacular-app
```

## `superblocks sync`

Fetch main, upload the app snapshot to DBFS, and create a main application_commit

```
USAGE
  $ superblocks sync [--sha <value>] [--json]

FLAGS
  --json         Output result as JSON
  --sha=<value>  Git SHA to sync. Defaults to origin/main after fetch.

DESCRIPTION
  Fetch main, upload the app snapshot to DBFS, and create a main application_commit
```

## `superblocks update [CHANNEL]`

update the superblocks CLI

```
USAGE
  $ superblocks update [CHANNEL] [--force |  | [-a | -v <value> | -i]] [-b ]

FLAGS
  -a, --available        See available versions.
  -b, --verbose          Show more details about the available versions.
  -i, --interactive      Interactively select version to install. This is ignored if a channel is provided.
  -v, --version=<value>  Install a specific version.
      --force            Force a re-download of the requested version.

DESCRIPTION
  update the superblocks CLI

EXAMPLES
  Update to the stable channel:

    $ superblocks update stable

  Update to a specific version:

    $ superblocks update --version 1.0.0

  Interactively select version:

    $ superblocks update --interactive

  See available versions:

    $ superblocks update --available
```

_See code: [@oclif/plugin-update](https://github.com/oclif/plugin-update/blob/v4.7.8/src/commands/update.ts)_

## `superblocks upload [RESOURCE_PATH]`

Upload your local files to Superblocks live edit

```
USAGE
  $ superblocks upload [RESOURCE_PATH] [-b <value>]

ARGUMENTS
  [RESOURCE_PATH]  Superblocks resource location to push (e.g. apps/my-app)

FLAGS
  -b, --branch=<value>  Superblocks branch to push to, the current git branch will be used by default

DESCRIPTION
  Upload your local files to Superblocks live edit

EXAMPLES
  $ superblocks upload

  $ superblocks upload  apps/my-app

  $ superblocks upload  apps/my-app -b feature-branch
```

## `superblocks version`

```
USAGE
  $ superblocks version [--json] [--verbose]

FLAGS
  --verbose  Show additional information about the CLI.

GLOBAL FLAGS
  --json  Format output as json.

FLAG DESCRIPTIONS
  --verbose  Show additional information about the CLI.

    Additionally shows the architecture, node version, operating system, and versions of plugins that the CLI is using.
```

_See code: [@oclif/plugin-version](https://github.com/oclif/plugin-version/blob/v2.2.33/src/commands/version.ts)_
<!-- commandsstop -->
